6

This question already has an answer here:

Since when going after the road-map, firefox 57 will be released on 14.11.207.

Now my problem is that I use a whole lot of legacy add-ons I want to keep working with.

So how can I prevent firefox from updating via the repositories?

marked as duplicate by muru, Community Nov 9 '17 at 15:39

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

  • Try the new version before you decide. All of the "legacy" addons I use work with the new beta. The beta is available as a pre-compiled binary from mozilla.org/en-US/firefox/channel/desktop . – Panther Nov 9 '17 at 14:05
  • Well fireFTP sadly wont work and my greasemonkey 3 add-on will change so much that my actual working script wont do it anymore after the update even if greasemonkey 4 will be there. Just thought i leave this QA here for people to find if they have exactly this question. – Videonauth Nov 9 '17 at 14:07
  • OK, thanks for the reply. I hope the addons you use are fixed quickly. Greasemonkey is awesome ! – Panther Nov 9 '17 at 14:11
  • 1
    Sadly fireFTP will not be supported anymore for firefox, so I have to find a replacement for this but looking at the list of add-ons I have at least 20 legacy ones in there which I really would miss in my day to day browsing. Still hoping that the most will go and update to the newer firefox version. – Videonauth Nov 9 '17 at 14:13
  • So many addons so little time. I used to be an addon junkie many years ago. I converted to chromium kicking and screaming as at the time firefox was so slow. Now to be honest I just use adblock in chromium and that is it. As a recovering extensions addict I am much happier. We need to start EA - Extensions Anonymous. – Panther Nov 9 '17 at 14:17
9

You can do that with apt-mark. Open a terminal and use:

sudo apt-mark hold firefox

to pin firefox to the current installed version. Be aware of that you wont receive any updates for that package as long it is on hold this includes as well security updates which you will not get.

If you ever decide to want updates again simply use:

sudo apt-mark unhold firefox

If you want to check if you have hold back packages you can use:

sudo apt-mark showhold

For further information see man apt-mark.8

Not the answer you're looking for? Browse other questions tagged or ask your own question.